net.sf.jasperreports.engine

## Class JRPrintElementIndex

- java.lang.Object
- - net.sf.jasperreports.engine.JRPrintElementIndex

-     public class JRPrintElementIndex
      extends java.lang.Object

  Version:
    $Id: JRPrintElementIndex.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintElementIndex(int reportIndex, int pageIndex, java.lang.String address)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer[]` | `getAddressArray()`
    `int` | `getPageIndex()`
    `int` | `getReportIndex()`
    `static JRPrintElementIndex` | `parsePrintElementIndex(java.lang.String indexStr)` Parses a String representation as obtained by `toString()` back into an element index instance.
    `java.lang.String` | `toString()` public Integer[] getElementIndexes() { return (Integer[]) elementIndexes.toArray(new Integer[elementIndexes.size()]); } /** Returns a String representation of this element index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPrintElementIndex

          public JRPrintElementIndex(int reportIndex,
                             int pageIndex,
                             java.lang.String address)

  - ### Method Detail

    - #### getReportIndex

          public int getReportIndex()

    - #### getPageIndex

          public int getPageIndex()

    - #### toString

          public java.lang.String toString()

      public Integer[] getElementIndexes() { return (Integer[]) elementIndexes.toArray(new Integer[elementIndexes.size()]); } /** Returns a String representation of this element index.

      The representation is obtained by appending all the indexes that compose this instance. The result is compatible with `parsePrintElementIndex(String)`, which can be used to recreate the elemetn index instance from a String representation.

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAddressArray

          public java.lang.Integer[] getAddressArray()

    - #### parsePrintElementIndex

          public static JRPrintElementIndex parsePrintElementIndex(java.lang.String indexStr)

      Parses a String representation as obtained by `toString()` back into an element index instance.
      Parameters:
        `indexStr` - the String representation of an element index
      Returns:
        an element index instance corresponding to the String representation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com